> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Earnings

> Returns earnings data for a selected period and/or security. Includes actual EPS and revenue figures, estimates, surprises, and historical comparisons. Earnings data is crucial for investors to assess company performance.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "earnings": [
      {
        "currency": "USD",
        "cusip": "037833100",
        "date": "2026-10-29",
        "date_confirmed": 0,
        "eps": "",
        "eps_est": "1.990",
        "eps_prior": "1.850",
        "eps_surprise": "",
        "eps_surprise_percent": "",
        "eps_type": "",
        "exchange": "NASDAQ",
        "id": "69030cfb619d3a00015b72a3",
        "importance": 5,
        "isin": "US0378331005",
        "name": "Apple",
        "notes": "",
        "period": "Q4",
        "period_year": 2026,
        "revenue": "",
        "revenue_est": "",
        "revenue_prior": "102466000000.000",
        "revenue_surprise": "",
        "revenue_surprise_percent": "",
        "revenue_type": "",
        "ticker": "AAPL",
        "time": "16:00:00",
        "updated": 1766187011
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v2.1/calendar/earnings
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/earnings:
    get:
      tags:
        - earnings
      summary: Returns the earnings data
      description: >-
        Returns earnings data for a selected period and/or security. Includes
        actual EPS and revenue figures, estimates, surprises, and historical
        comparisons. Earnings data is crucial for investors to assess company
        performance.
      operationId: get-earnings
      parameters:
        - description: >-
            Specifies return format. Query parameters work the same for both
            formats
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: >-
            Date to query for calendar data. Shorthand for date_from and date_to
            if they are the same. Defaults for latest
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query from point in time
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query to point in time
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: >-
            Field sort option for earnings calendar. Apply `:desc`, `:asc` for
            sort order
          in: query
          name: parameters[date_sort]
          schema:
            type: string
            enum:
              - date
        - description: >-
            The importance level to filter by. Uses Greater Than or Equal To the
            importance indicated
          in: query
          name: parameters[importance]
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
        - description: One or more ticker symbols separated by a comma. Maximum 50 tickers
          in: query
          name: parameters[tickers]
          schema:
            type: string
            format: csv
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.EarningResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.EarningResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.EarningResponse:
      description: API response containing an array of earnings records
      properties:
        earnings:
          items:
            $ref: '#/components/schemas/calendarapi.Earning'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Earning:
      properties:
        currency:
          example: USD
          type: string
        cusip:
          example: 37833100
          type: string
        date:
          example: '2024-01-09'
          type: string
        date_confirmed:
          example: 1
          type: integer
        eps:
          example: '2.18'
          type: string
        eps_est:
          example: '2.10'
          type: string
        eps_prior:
          example: '1.88'
          type: string
        eps_surprise:
          example: '0.08'
          type: string
        eps_surprise_percent:
          example: '3.81'
          type: string
        eps_type:
          example: GAAP
          type: string
        exchange:
          example: NASDAQ
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5a3
          type: string
        importance:
          example: 5
          type: integer
        isin:
          example: US0378331005
          type: string
        name:
          example: Apple Inc.
          type: string
        notes:
          example: Beat on EPS and revenue
          type: string
        period:
          example: Q1
          type: string
        period_year:
          example: 2024
          type: integer
        revenue:
          example: '89537000000'
          type: string
        revenue_est:
          example: '88500000000'
          type: string
        revenue_prior:
          example: '81800000000'
          type: string
        revenue_surprise:
          example: '1037000000'
          type: string
        revenue_surprise_percent:
          example: '1.17'
          type: string
        revenue_type:
          example: GAAP
          type: string
        ticker:
          example: AAPL
          type: string
        time:
          example: amc
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````